# -*- perl -*-
# $Id: 07-look.t,v 1.2 2002/02/02 09:01:34 tsuchiya Exp $

use strict;
use Test;

BEGIN { plan tests => 5; }

use Search::Saryer;
my $file = 't/01-new-destroy.t';

system("mksary $file");
my $x = new Search::Saryer('filename' => $file);
ok(defined $x);

my @buf;
@buf = $x->look( "<id>1</id>", "<entry>", "</entry>" );
ok(@buf == 1);
ok($buf[$[] =~ /<entry>/);

@buf = $x->look( "<value>AAA</value>", "<entry>", "</entry>", "ignore_case" );
ok(@buf == 2);

@buf = $x->look( "<value>AAA</value>", "<alist>", "</alist>", "ignore_case" );
ok(@buf == 1);

unlink("$file.ary");
