# -*- mode: perl; coding: euc-japan; -*-
# $Id: 09-continuous-region.t,v 1.2 2005/07/10 17:19:01 tsuchiya Exp $

use strict;
use Test;

BEGIN { plan tests => 3; }

use Search::Saryer;
my $file = 't/09-continuous-region.t';

system("mksary --encoding=EUC-JP $file");
my $x = new Search::Saryer('filename' => $file);
ok(defined $x);

my @buf;
@buf = $x->look( '<value>'.'aaa'.'</value>', "<>", "</>" );
ok(@buf == 2);
ok($buf[$[] !~ /strict/);

unlink "$file.ary";

__END__
<>
  <id>1</id>
  <value>aaa</value>
</>
<>
  <id>2</id>
  <value>aaa</value>
</>
