# -*- perl -*-
# $Id: 10-new-with-array.t,v 1.1 2002/02/02 09:01:34 tsuchiya Exp $
#

use strict;
use Test;

BEGIN { plan tests => 3 }

use Search::Saryer;
my $file = 't/01-new-destroy.t';
my $array = "$file.special-array";
my $searchstr = 'Sary';
my $exct = 2;

system("mksary --array=$array $file");
my $x = new Search::Saryer( file => $file, array => $array );
ok(defined $x);

$x->search($searchstr);
ok(1);
$x->sort_occurrences();

my $count = 0;
while (1) {
      my $ret = $x->get_next_line();
      last unless defined $ret;
      $count ++;
}
ok($count == $exct);

unlink($array);
