# -*- perl -*-
# $Id: 06-grep.t,v 1.2 2002/02/02 09:01:34 tsuchiya Exp $

use strict;
use Test;

BEGIN { plan tests => 3; }

use Search::Saryer;
my $file = 't/01-new-destroy.t';
my $searchstr = 'sary';

system("mksary $file");
my $x = new Search::Saryer('filename' => $file);
ok(defined $x);

my @buf;
@buf = $x->grep($searchstr);
ok(scalar(@buf) == 1);

@buf = $x->grep($searchstr,'ignore_case');
ok(scalar(@buf) == 3);

unlink("$file.ary");
